#!/bin/bash

CONF=/opt/flectra/flectra.conf
FLECTRACMD="/opt/flectra/flectra/flectra-bin --config $CONF"

if [ $LOAD ]; then
  FLECTRACMD="$FLECTRACMD --load=$LOAD"
fi

if [ "$DEV" == 1 ]; then
  FLECTRACMD="$FLECTRACMD --dev all --log-handler :DEBUG"
fi

# Configuration generation and Flectra launch
bash genconf.sh && $FLECTRACMD
